import { Plugin } from '@tachybase/server';

export class PluginReplacePageServer extends Plugin {
  async afterAdd() {}

  async beforeLoad() {}

  async load() {
    this.app.db.collection({
      name: 'posts',
      // 字段类型参考 packages/core/database/src/fields，常见的有 string、text、integer 等
      fields: [{ type: 'string', name: 'title' }],
    });
    await this.app.db.sync();
    // 方便做测试，权限设置为公开
    this.app.acl.allow('posts', '*', 'public');
  }

  async install() {}

  async afterEnable() {}

  async afterDisable() {}

  async remove() {}
}

export default PluginReplacePageServer;
